CmdMessenger 3.0 CmdMessenger is a serial port messaging library for the .Net / Mono Platform.

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions
CommandMessenger.Serialport.SerialConnectionManager Class Reference

Connection manager for serial port connection. More...

Inheritance diagram for CommandMessenger.Serialport.SerialConnectionManager:

List of all members.

## Public Member Functions
| SerialConnectionManager (SerialTransport serialTransport, CmdMessenger cmdMessenger, int challengeCommandId, int responseCommandId)
| Connection manager for serial port connection </summary.
bool | TryConnection (string portName, int baudRate, int timeOut)
| Try connection given specific port name & baud rate.
bool | TryConnection (int timeOut)
| Try connection.
bool | SingleScan ()
bool | QuickScan ()
bool | ThoroughScan ()
bool | NewPortScan ()
## Protected Member Functions
override void | DoWorkScan ()

## Detailed Description

Connection manager for serial port connection.

## Member Function Documentation

bool CommandMessenger.Serialport.SerialConnectionManager.TryConnection | ( | string | portName,
|  | int | baudRate,
|  | int | timeOut
| ) |  |

Try connection given specific port name & baud rate.

Parameters:

  portName | Port name
  baudRate | Baud rate
  timeOut | Time out for response

Returns:
  true if succesfully connected

bool CommandMessenger.Serialport.SerialConnectionManager.TryConnection | ( | int | timeOut | ) |

Try connection.

Parameters:

  timeOut | Time out for response

Returns:
  true if succesfully connected

The documentation for this class was generated from the following file:

- D:/My Documents/Github/Arduino-Code-and-Libraries/Libraries/CmdMessenger/CSharp/CommandMessenger/Serialport/SerialConnectionManager.cs